osl::search::HistoryTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Private Attributes | List of all members
osl::search::HistoryTable Class Reference

`#include <historyTable.h>`

Collaboration diagram for osl::search::HistoryTable:
[legend]

## Classes
struct | Entry
struct | OutputEntry

## Public Member Functions
uint64_t | value (Move move) const
void | add (Move move, int inc)
void | clear (Move move)
void | extractTopN (Player p, vector< OutputEntry > &out, size_t limit) const

## Private Attributes
CArray< CArray2d< Entry, Square::SIZE, Square::SIZE >, 2 > | table

## Detailed Description

Definition at line 18 of file historyTable.h.

## Member Function Documentation

void osl::search::HistoryTable::add | ( | Move | move,
|  | int | inc
| ) |  |
| inline

Definition at line 42 of file historyTable.h.

References osl::Move::from(), osl::Move::isDrop(), osl::Move::isNormal(), osl::Move::player(), osl::Move::ptype(), SCOPED_LOCK, table, osl::Move::to(), osl::Square::uintValue(), and osl::search::HistoryTable::Entry::value.

void osl::search::HistoryTable::clear | ( | Move | move) |  |
| inline

Definition at line 53 of file historyTable.h.

References osl::Move::from(), osl::Move::isDrop(), osl::Move::isNormal(), osl::Move::player(), osl::Move::ptype(), table, osl::Move::to(), osl::Square::uintValue(), and osl::search::HistoryTable::Entry::value.

void osl::search::HistoryTable::extractTopN | ( | Player | p,
|  | vector< OutputEntry > & | out,
|  | size_t | limit
| ) |  | const

Definition at line 9 of file historyTable.cc.

References osl::Square::uintValue().

uint64_t osl::search::HistoryTable::value | ( | Move | move) |  | const
| inline

Definition at line 34 of file historyTable.h.

References osl::Move::from(), osl::Move::isDrop(), osl::Move::isNormal(), osl::Move::player(), osl::Move::ptype(), table, osl::Move::to(), osl::Square::uintValue(), and osl::search::HistoryTable::Entry::value.

Referenced by osl::search::QuiescenceGenerator< P >::dropMajorPiece3(), and osl::search::QuiescenceGenerator< P >::promoteN().

## Member Data Documentation

CArray<CArray2d<Entry,Square::SIZE, Square::SIZE>,2> osl::search::HistoryTable::table
| private

Definition at line 32 of file historyTable.h.

Referenced by add(), clear(), and value().

The documentation for this class was generated from the following files:

- historyTable.h
- historyTable.cc